import request from '@/utils/request'

export function getPricePage(data) {
  return request({
    url: '/base-price-type/page',
    method: 'get',
    params: data
  })
}

export function getPriceList(data) {
  return request({
    url: '/base-price-type/list',
    method: 'post',
    data: data
  })
}

export function getPriceById(data) {
  return request({
    url: '/base-price-type/listById',
    method: 'post',
    data: data
  })
}

export function addPrice(data) {
  return request({
    url: '/base-price-type/add',
    method: 'post',
    data: data
  })
}

export function editPrice(data) {
  return request({
    url: '/base-price-type/edit',
    method: 'post',
    data: data
  })
}

export function delPrice(data) {
  return request({
    url: '/base-price-type/delete',
    method: 'post',
    data: data
  })
}
